com.google.appengine.api.search.query

## Enum QueryTreeContext.Kind

- java.lang.Object
- - java.lang.Enum<QueryTreeContext.Kind>
  - - com.google.appengine.api.search.query.QueryTreeContext.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<QueryTreeContext.Kind>
  Enclosing class:
    QueryTreeContext<T extends QueryTreeContext<T>>

      public static enum QueryTreeContext.Kind
      extends java.lang.Enum<QueryTreeContext.Kind>

  Enumeration of the kind of the term that has a given return type. This enum makes more precise the return type. For example, if the return type is TEXT, and the Kind is PHRASE, this means that the caller supplied "..." as the query term.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPRESSION`
    `FIELD`
    `FUNCTION`
    `LITERAL`
    `PHRASE`
    `VOID`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryTreeContext.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QueryTreeContext.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VOID

          public static final QueryTreeContext.Kind VOID

    - #### LITERAL

          public static final QueryTreeContext.Kind LITERAL

    - #### PHRASE

          public static final QueryTreeContext.Kind PHRASE

    - #### FIELD

          public static final QueryTreeContext.Kind FIELD

    - #### FUNCTION

          public static final QueryTreeContext.Kind FUNCTION

    - #### EXPRESSION

          public static final QueryTreeContext.Kind EXPRESSION

  - ### Method Detail

    - #### values

          public static QueryTreeContext.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryTreeContext.Kind c : QueryTreeContext.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryTreeContext.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null